'use strict';

var core = require('./core.js');

const defaults = {
    silent: false,
    version: core.version,
    logger(text) {
        /* eslint-disable-next-line no-console -- expected to log */
        console.error(text);
    },
};
/**
 * Tests if plugin is compatible with html-validate library. Unless the `silent`
 * option is used a warning is displayed on the console.
 *
 * @public
 * @since v5.0.0
 * @param name - Name of plugin
 * @param declared - What library versions the plugin support (e.g. declared peerDependencies)
 * @returns - `true` if version is compatible
 */
function compatibilityCheck(name, declared, options) {
    return core.compatibilityCheckImpl(name, declared, {
        ...defaults,
        ...options,
    });
}

exports.compatibilityCheck = compatibilityCheck;
//# sourceMappingURL=core-browser.js.map
