'use strict';

var coreNodejs = require('./core-nodejs.js');
var core = require('./core.js');
var cli = require('./cli.js');
var metaHelper = require('./meta-helper.js');
require('node:fs');
require('node:path');
require('kleur');
require('ajv');
require('./elements.js');
require('fs');
require('@sidvind/better-ajv-errors');
require('./utils/natural-join.js');
require('@babel/code-frame');
require('@html-validate/stylish');
require('semver');
require('glob');
require('prompts');



exports.FileSystemConfigLoader = coreNodejs.FileSystemConfigLoader;
exports.compatibilityCheck = coreNodejs.compatibilityCheck;
exports.nodejsResolver = coreNodejs.nodejsResolver;
exports.Attribute = core.Attribute;
exports.Config = core.Config;
exports.ConfigError = core.ConfigError;
exports.ConfigLoader = core.ConfigLoader;
exports.DOMNode = core.DOMNode;
exports.DOMTokenList = core.DOMTokenList;
exports.DOMTree = core.DOMTree;
exports.DynamicValue = core.DynamicValue;
exports.EventHandler = core.EventHandler;
exports.HtmlElement = core.HtmlElement;
exports.HtmlValidate = core.HtmlValidate;
exports.MetaCopyableProperty = core.MetaCopyableProperty;
exports.MetaTable = core.MetaTable;
exports.NestedError = core.NestedError;
Object.defineProperty(exports, 'NodeClosed', {
	enumerable: true,
	get: function () { return core.NodeClosed; }
});
Object.defineProperty(exports, 'NodeType', {
	enumerable: true,
	get: function () { return core.NodeType; }
});
exports.Parser = core.Parser;
exports.Reporter = core.Reporter;
exports.ResolvedConfig = core.ResolvedConfig;
exports.Rule = core.Rule;
exports.SchemaValidationError = core.SchemaValidationError;
Object.defineProperty(exports, 'Severity', {
	enumerable: true,
	get: function () { return core.Severity; }
});
exports.StaticConfigLoader = core.StaticConfigLoader;
Object.defineProperty(exports, 'TextClassification', {
	enumerable: true,
	get: function () { return core.TextClassification; }
});
Object.defineProperty(exports, 'TextContent', {
	enumerable: true,
	get: function () { return core.TextContent; }
});
exports.TextNode = core.TextNode;
exports.UserError = core.UserError;
exports.Validator = core.Validator;
exports.WrappedError = core.WrappedError;
exports.classifyNodeText = core.classifyNodeText;
exports.configPresets = core.Presets;
exports.definePlugin = core.definePlugin;
exports.formatterFactory = core.getFormatter;
exports.keywordPatternMatcher = core.keywordPatternMatcher;
exports.ruleExists = core.ruleExists;
exports.sliceLocation = core.sliceLocation;
exports.staticResolver = core.staticResolver;
exports.version = core.version;
exports.CLI = cli.CLI;
exports.defineMetadata = metaHelper.defineMetadata;
exports.metadataHelper = metaHelper.metadataHelper;
//# sourceMappingURL=index.js.map
