'use strict';

var vitest = require('vitest');
var matchers = require('./matchers.js');
require('./matcher-utils.js');
require('./core.js');
require('ajv');
require('./elements.js');
require('./meta-helper.js');
require('./utils/natural-join.js');
require('fs');
require('@sidvind/better-ajv-errors');
require('@babel/code-frame');
require('kleur');
require('@html-validate/stylish');
require('semver');
require('./core-nodejs.js');
require('node:fs');
require('node:path');

vitest.expect.extend({
    toBeValid: matchers.createMatcher(),
    toBeInvalid: matchers.createMatcher$1(),
    toHTMLValidate: matchers.createMatcher$2(vitest.expect, undefined),
    toHaveError: matchers.createMatcher$3(vitest.expect, undefined),
    toHaveErrors: matchers.createMatcher$4(vitest.expect, undefined),
});
//# sourceMappingURL=vitest.js.map
